{
	"name" : {
		"text": "Recalibrating Omnitrix"
	},

	"icon": {
		"type": "texture",
		"texture": "ben_ten:textures/gui/omnitrix/prototype_omnitrix.png"
	},
	
	"creative_tab": "ben10",
	
	"max_level": 30,
	
	"capsule_color" : 33333,
	
	"effects": [
        {
            "type": "skin_overlay",
            "texture": "ben_ten:textures/models/omnitrix/recalibrating_omnitrix.png",
            "size": 0,
            "glow": false,
            "conditions": [
            	{
            		"type": "always"
				}
			]
	    },
		{
            "type": "skin_overlay",
            "texture": "ben_ten:textures/overlays/glow/recalibrating_omnitrix_glow.png",
            "size": 0,
            "glow": true,
            "conditions": [
            	{
            		"type": "always"
            	}
            ]
        }
    ],

	"abilities": {
		"activate": {
			"ability": "lucraftcore:command",
			"required_level": 0,
			"show_in_bar": true,
			"title": {"text":"Activate"},
			"icon": { "type": "texture", "texture": "ben_ten:textures/gui/omnitrix/prototype_omnitrix.png" },
            "bar_color": "green",				
			"commands":["stopsound @s",
			"playsound ben_ten:recalibration_activate master @a ~ ~ ~"]
		},
		"NO INJECTIONS": {
		"ability": "lucraftcore:command_loop",	
			"show_in_bar": false,	
 			"conditions": [{
             	 	"type": "lucraftcore:held_item",
              		"item": "lucraftcore:injection",
              		"hand": "main_hand"}],
			"icon": { "type": "internal" },		
			"commands": ["/replaceitem entity @s slot.weapon.mainhand lucraftcore:injection"]
		},
		"timer":{
			"ability": "lucraftcore:command_loop",
			"show_in_bar": false,
			"cooldown": 0,
			"title": {"text":"Recalibration"},			
			"icon": {"type": "texture",
				"texture": "ben_ten:textures/gui/omnitrix/recalibrating_omnitrix.png"},
			"commands":["scoreboard objectives add Recalibration dummy", 
			"scoreboard players add @s Recalibration 1", "execute @s[score_Recalibration_min=6000] ~ ~ ~ /superpower @s ben_ten:recalibrated_omnitrix",
			"execute @s[score_Recalibration=5930,score_Recalibration_min=5930] ~ ~ ~ /playsound ben_ten:recalibration_finish master @a ~ ~ ~",
			"scoreboard players tag @s add RecalBearer"],
			"hidden": true
		}
	}
}
